[PATCH] Fixing: Handling of unattended installers target overwrite mode.

7 views
Skip to first unread message

alexander...@siemens.com

unread,
Oct 31, 2024, 12:34:15 PM10/31/24
to isar-...@googlegroups.com, jan.k...@siemens.com, Alexander Heinisch
From: Alexander Heinisch <alexander...@siemens.com>

This bug was introduced in 934fe3ef due to over-motivated search and replace.

Signed-off-by: Alexander Heinisch <alexander...@siemens.com>
---
.../deploy-image/files/usr/bin/deploy-image-wic.sh | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
index e6ee426d..91c0518b 100755
--- a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
+++ b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
@@ -130,9 +130,11 @@ if ! cmp /dev/zero "$installer_target_dev" -n 1M; then
--yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
exit 0
else
- if [ "$installer_target_overwrite" != "installer_target_overwrite" ]; then
+ if [ "$installer_target_overwrite" != "OVERWRITE" ]; then
echo "Target device is not empty! -> Abort"
- echo "If you want to override existing data set \"installer_target_overwrite=installer_target_overwrite\""
+ echo "If you want to override existing data set \"installer.target.overwrite=OVERWRITE\" on your kernel cmdline or edit your \"auto.install\" file accordingly."
+
+ exit 1
fi
fi
fi
--
2.43.0

Uladzimir Bely

unread,
Nov 6, 2024, 7:34:02 AM11/6/24
to alexander...@siemens.com, isar-...@googlegroups.com
On Thu, 2024-10-31 at 17:33 +0100, alexander.heinisch via isar-users
wrote:
Applied to next, thanks.

--
Best regards,
Uladzimir.



Reply all
Reply to author
Forward
0 new messages